MyShareConfig = {}

MyShareConfig.AceConfig = {
	name = MS_CONFIG_TITLE;
	handler = nil;
	type = "group";
	args = {
		taxGroup = {
			type = "header";
			name = MS_CONFIG_SHARE_TITLE;
			order = 100;
		};
		rate = {
			type = "range";
			name = MS_CONFIG_SHARE_RANGE;
			desc = MS_CONFIG_SHARE_RANGE_DESC;
			descStyle = "inline";
			min = 0;
			max = 1;
			step = 0.05;
			set = function(info, val) MyShare.db.char.rate = val end;
			get = function(info) return MyShare.db.char.rate end;
			isPercent = true;
			order = 101;
		};
		--[[ autopay = {
			type = "toggle";
			name = MS_CONFIG_SHARE_AUTOPAY;
			desc = MS_CONFIG_SHARE_AUTOPAY_DESC;
			descStyle = "inline";
			set = function(info, val) MyShare.db.profile.autopay = val end;
			get = function(info) return MyShare.db.profile.autopay end;
			width = "full";
			order = 102;
		}; ]]
		direct = {
			type = "toggle";
			name = MS_CONFIG_SHARE_DIRECT;
			desc = MS_CONFIG_SHARE_DIRECT_DESC;
			descStyle = "inline";
			set = function(info, val) MyShare.db.profile.direct = val end;
			get = function(info) return MyShare.db.profile.direct end;
			width = "full";
			order = 103;
		};
		loggingGroup = {
			type = "header";
			name = MS_CONFIG_LOGGING_TITLE;
			order = 200;
		};
		logging = {
			type = "toggle";
			name = MS_CONFIG_LOGGING_LOG;
			desc = MS_CONFIG_LOGGING_LOG_DESC;
			descStyle = "inline";
			set = function(info, val) MyShare.db.profile.logging = val end;
			get = function(info) return MyShare.db.profile.logging end;
			width = "full";
			order = 201;
		};
		verbose = {
			type = "toggle";
			name = MS_CONFIG_VERBOSE_LOG;
			desc = MS_CONFIG_VERBOSE_LOG_DESC;
			descStyle = "inline";
			set = function(info, val) MyShare.db.profile.verbose = val end;
			get = function(info) return MyShare.db.profile.verbose end;
			width = "full";
			order = 202;
		};
		debug = {
			type = "toggle";
			name = MS_CONFIG_DEBUG_LOG;
			desc = MS_CONFIG_DEBUG_LOG_DESC;
			descStyle = "inline";
			set = function(info, val) MyShare.db.profile.debug = val end;
			get = function(info) return MyShare.db.profile.debug end;
			width = "full";
			order = 203;
		};

		includeTrade = {
			type = "toggle";
			name = "Tax Trade"; 
			desc = "This will tax income from trade(default is that trade income will not be taxed)";
			descStyle = "inline";
			set =  function(info, val) MyShare.db.profile.trade = val end;
			get = function(info) return MyShare.db.profile.trade end;
			width = "full";
			order = 204;
		};

		includeMail = {
			type = "toggle";
			name = "Tax Mail";
			desc = "This will tax income from mail(default is that mail income will not be taxed)";
			descStyle = "inline";
			set = function(info, val) MyShare.db.profile.mail = val end;
			get = function(info) return MyShare.db.profile.mail end;
			width = "full";
			order = 205;
		}

		--[[help = {
			type = "label";
			name = "Test";
			desc = MS_CONFIG_DEBUG_LOG_DESC;
			descStyle = "inline";
			width = "full";
			order = 204;
		};]]
	}
}

MyShareConfig.AceOptionsTable = LibStub("AceConfig-3.0")
MyShareConfig.AceOptionsTable:RegisterOptionsTable("MyShare", MyShareConfig.AceConfig)

MyShareConfig.AceConfigDialog = LibStub("AceConfigDialog-3.0")
MyShareConfig.AceConfigDialog:AddToBlizOptions("MyShare", MS_CONFIG_TITLE);
